Subject: Re: gdb under EMACS - only works on drive C:
From: Earnie Boyd <[email-masked]>
To: Anders Norlander <[email-masked]>, Richard Stanton <[email-masked]>
Cc: [email-masked]
Date: Wed, 17 Mar 1999 09:52:28 -0800 (PST)

---Anders Norlander <[email-masked]> wrote:
>
> Richard Stanton wrote:
> > 
> > I've been using gcc + gdb under EMACS for a long time with no
trouble, but
> > have just noticed a problem. I can't debug a program that's on a
drive other
> > than drive C: (I've never tried this before). Here's what happens
when I try
> > running d:\scratch\amput.exe:
> [snip]
> > This GDB was configured as "i586-cygwin32"...
> > (gdb) break main
> > Breakpoint 1 at 0x401077: file amput.c, line 31.
> > (gdb) run
> > Starting program: //D/scratch/amput.exe
> 		    ^^^^ cygwin path
> [snip]
> > So far so good, except that in the source window, a NEW file
amput.c is
> > created and displayed. Emacs seems to think it's called
> > d:/D/scratch/amput.c.
> > 
> > Any idea what's going wrong?
> You are using NT emacs, right? NT emacs is not a cygwin program (it
> could
> possibly be compiled with cygwin tools. Anybody tried this?) and
> therefore
> doesn't recognize cygwin style paths with a specified drive or paths
> containing "mounted" directories. As you see emacs strips the first
> leading '/' and thinks the rest is a valid windows path, which it is
> not!

Check the archives, I think someone posted a howto on this.  BTW, I'd
use the http://www.eGroups.com mirror to search for this if I were the
one doing the searching.

==
-                        \\||//
-------------------o0O0--Earnie--0O0o-------------------
--                [email-masked]               --
-- http://www.freeyellow.com/members5/gw32/index.html --
----------------------ooo0O--O0ooo----------------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]